=== debian/changelog ===
python2.2-libplot (1.0.2-6) unstable; urgency=low

  * now depends on libplot2
  * new standards (3.5.8)

 -- Rogerio Reis <rvr@debian.org>  Sun,  2 Mar 2003 12:08:58 +0000

python2.2-libplot (1.0.2-5) unstable; urgency=high

  * swig path corrected (closes: #145850)

 -- Rogerio Reis <rvr@debian.org>  Sun,  5 May 2002 10:06:08 +0000

python2.2-libplot (1.0.2-4) unstable; urgency=medium

  * python2.2 invoked explicitly (one file was forgotten) (closes: #145216)

 -- Rogerio Reis <rvr@debian.org>  Sun,  5 May 2002 00:54:53 +0000

python2.2-libplot (1.0.2-3) unstable; urgency=medium

  * python2.2 invoked explicitly (closes: #145216) (closes: #145204)

 -- Rogerio Reis <rvr@debian.org>  Sat,  4 May 2002 12:24:57 +0000

python2.2-libplot (1.0.2-2) unstable; urgency=high

  * PIC format used in the shared objects.

 -- Rogerio Reis <rvr@debian.org>  Tue, 23 Apr 2002 14:40:48 +0000

python2.2-libplot (1.0.2-1) unstable; urgency=low
  
  * Initial package.

 -- Rogerio Reis <rvr@debian.org>  Wed,  3 Apr 2002 16:39:59 +0000
