=== debian/control ===
Source: python2.2-libplot
Section: interpreters
Priority: optional
Maintainer: Rogerio Reis <rvr@debian.org>
Build-Depends:  libxaw7-dev, python2.2-dev, swig, libplot-dev
Standards-Version: 3.5.8

Package: python2.2-libplot
Section: interpreters
Priority: optional
Architecture: any
Depends: python2.2, plotutils (>> 2.4.1), ${shlibs:Depends}
Description: Python wrapper for GNU libplot
 This is a Python wrapper for the libplot library included in the GNU
 plotutils package.
