=== debian/rules ===
#!/usr/bin/make -f
export TMPROOT=`pwd`/debian/tmp
export DOCDIR=$(TMPROOT)/usr/share/doc/python2.2-libplot
export LIBDIR=$(TMPROOT)/usr/lib/python2.2/site-packages

PYVERSION = 2.2
PYTHON = /usr/bin/python$(PYVERSION)
EMPTY = ""

build: 
	$(MAKE) all PYTHON=$(PYTHON) SWIG=/usr/bin/swig pyversion=$(PYVERSION) pysitepkgs=$(TMPROOT)/usr/lib/python$(PYVERSION)/site-packages/

clean:
	$(MAKE) clean
	rm -rf debian/tmp debian/files
	rm -f debian/*~
	rm -f debian/substvars

install: build
	rm -rf debian/tmp defian/files
	mkdir -p $(DOCDIR)
	mkdir -p $(TMPROOT)/usr/lib/python$(PYVERSION)/site-packages
	$(MAKE) install pyversion=1.5 pysitepkgs=$(TMPROOT)/usr/lib/python$(PYVERSION)/site-packages/

binary-indep:

binary-arch: install
	cp debian/copyright $(DOCDIR)
	cp debian/changelog $(DOCDIR)/changelog.Debian
	gzip -9 $(DOCDIR)/changelog.Debian
	chmod 644 $(TMPROOT)/usr/lib/python$(PYVERSION)/site-packages/*
	chown -R root.root $(TMPROOT)/usr/lib/python$(PYVERSION)/site-packages/
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	strip --remove-section=.note --remove-section=.comment $(TMPROOT)/usr/lib/python$(PYVERSION)/site-packages/_libplot.so
endif
	chmod 644 $(DOCDIR)/*
	chown -R root.root $(DOCDIR)/*
	mkdir $(TMPROOT)/DEBIAN
	cp debian/python-libplot.postinst $(TMPROOT)/DEBIAN/postinst
	cp debian/python-libplot.prerm $(TMPROOT)/DEBIAN/prerm
	chmod 755 $(TMPROOT)/DEBIAN/prerm
	chmod 755 $(TMPROOT)/DEBIAN/postinst
	dpkg-shlibdeps $(TMPROOT)/usr/lib/python$(PYVERSION)/site-packages/_libplot.so
	dpkg-gencontrol -isp
	(cd $(TMPROOT) ; md5sum usr/lib/python$(PYVERSION)/site-packages/* > DEBIAN/md5sums ; md5sum usr/share/doc/python2.2-libplot/* >> DEBIAN/md5sums )
	dpkg-deb --build debian/tmp ..

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
